import {
	myRequest
} from '../request.js'
export default {
	//新增收藏课程
	coursecollect(data) {
		return myRequest({
			url: '/collect/course',
			method: 'post',
			data: data,
		})
	},
	//删除收藏课程
	deletecoursecollect(data) {
		return myRequest({
			url: '/collect/course/delete/' + data,
			method: 'post',
		})
	},
	//判断是否收藏课程
	coursecollectPD(data) {
		return myRequest({
			url: '/collect/course/' + data,
			method: 'get',
		})
	},
	//查询收藏课程列表
	courseCollectList(data) {
		return myRequest({
			url: '/collect/course/list',
			method: 'get',
			data: data,
		})
	},




	//新增收藏题库
	bankCollectsadd(data) {
		return myRequest({
			url: '/collect/bank',
			method: 'post',
			data: data,
		})
	},
	//删除收藏题库
	bankCollectdelete(data) {
		return myRequest({
			url: '/collect/bank/delete/' + data,
			method: 'post',
		})
	},
	//查询收藏题库列表
	bankCollectList(data) {
		return myRequest({
			url: '/collect/bank/list',
			method: 'get',
			data: data,
		})
	},
	//判断是否收藏题库
	bankCollects(data) {
		return myRequest({
			url: '/collect/bank/' + data,
			method: 'get',
		})
	},



	
	//新增收藏考试重点
	noteCollectsadd(data) {
		return myRequest({
			url: '/collect/note',
			method: 'post',
			data: data,
		})
	},
	//删除收藏考试重点
	noteCollectdelete(data) {
		return myRequest({
			url: '/collect/note/delete/' + data,
			method: 'post',
		})
	},
	//查询收藏重点列表
	courseNoteList(data) {
		return myRequest({
			url: '/collect/note/list',
			method: 'get',
			data: data,
		})
	},
	//判断是否收藏重点
	noteCollects(data) {
		return myRequest({
			url: '/collect/note/' + data,
			method: 'get',
		})
	},








	//新增收藏题目
	questionsystemadd(data) {
		return myRequest({
			url: '/collect/question',
			method: 'post',
			data: data,
		})
	},
	//删除收藏题目
	questionsystemdelete(data) {
		return myRequest({
			url: '/collect/question/delete/' + data,
			method: 'post',
		})
	},
	//查询收藏题目列表
	systemquestionList(data) {
		return myRequest({
			url: '/collect/question/list',
			method: 'get',
			data: data,
		})
	},
	//获取收藏题目详细信息
	questionsystems(data) {
		return myRequest({
			url: '/collect/question/' + data,
			method: 'get',
		})
	},
	//查询用户错题历史列表
	questionListrecord(data) {
		return myRequest({
			url: '/bank/question/record/list',
			method: 'get',
			data: data,
		})
	},
	//查询用户的做题历史列表
	questionListrecordDoneList(data) {
		return myRequest({
			url: '/bank/question/record/doneList',
			method: 'get',
			data: data,
		})
	}
}
